﻿/*
Программа для работы с дисплеем от принтера HP LaserJet P2055
Контроллер дисплея Sitronix ST7032
Микроконтроллер ATmega48PA
Тактовая частота 1 МГц
Код написан в AVR Studio 5.1

Конфигурация фузов:
LOW  - 0x62
HIGH - 0xDF

Подключение дисплея:
PD7 - RESET
PD6 - RS
PD5 - CS
PD4 - DAT
PD3 - CLK

Автор: Шутов Максим [Zlodey]
masya-chel@mail.ru
https://vk.com/zateykin
Best regards to Kolhoz-Devices Inc.
kdevices@mail.ru
г.Москва
29 февраля 2020 г.
*/


#include "main.h"


int main (void)
{
	// Инициализация последовательной шины
	Serial_Bus_Init();
	// Инициализация дисплея
	Display_Init();
	// Настройка контрастности дисплея
	// Настройка требуется только если хотим установить нестандартную контрастность
	//Display_Contrast(40);
	
	// Установка курсора и вывод на дисплей
	Display_Cursor(0,0);
	Display_Str("HP LJ P2055 LCD");
	Display_Cursor(1,0);
	Display_Str("Sitronix ST7032");
	
	// Пауза
	_delay_ms(2000);
	
	// Включение удвоенной высоты шрифта
	Display_Double_Font_Height(1);
	// Установка курсора и вывод на дисплей
	Display_Cursor(0,0);
	Display_Str("Hello, world !!!");
	
	while(1)
	{
		
	}
}

